Deprecation notice for version-script links to a 404


#1

snapcraft, version 3.7.2

The link in the message below doesn’t exist on snapcraft.io:

DEPRECATED: The 'version-script' keyword has been deprecated in favour of the 'snapcraftctl set-version' part scriptlet.
See http://snapcraft.io/docs/deprecation-notices/dn10 for more information.

#2

The correct link is https://snapcraft.io/docs/deprecation-notice-10, perhaps @cjp256 or @sergiusens can fix that


#3

Actually, the person who can fix that is @degville


#4

Thanks for flagging this - I’ve put a redirect in-place so the link should work from snapcraft 3.7.2. Going forward, @sergiusens, it might be better to update snapcraft to point to the new URL scheme (https://snapcraft.io/docs/deprecation-notice-xx). We had to do this when we moved the docs over to Discourse, and the other deprecation URLs are simply redirecting too at the moment.